## src2tex 2.12h

=== Makefile ===
#{\hrulefill\ {\tt\#}
#	\vskip 1ex
#	\input fonts.tex % define fonts
#	\input title.tex % title and authors
#	\vskip 1ex
# \noindent{\tt\#}\ \hrulefill\ {\tt\#}}


#{\hrulefill\ Makefile\ \hrulefill\ {\tt\#}}


#{\hrulefill\ preliminaries\ \hrulefill\ {\tt\#}
# \par
# Here we just give preliminary definitions.
# If you don't have {\tt gcc}, please replace it with {\tt cc}
# and plug suitable values into {\tt CFLAGS}.
# \par
# \noindent{\tt\#}\ \hrulefill\ {\tt\#}}

CC	= gcc
CFLAGS	= -O2
SRCS	= fileio.c getdata.c langflag.c modflag.c options.c pas_bold.c \
	tools.c text2tex.c src2tex.c
OBJS	= fileio.o getdata.o langflag.o modflag.o options.o pas_bold.o \
	tools.o text2tex.o src2tex.o

#{\hrulefill\ make all\ \hrulefill\ {\tt\#}
# \par
# ``{\tt make all}'' gives you {\sl src2tex} and {\sl src2latex}.
# Hopefully, you do not encounter any errors.
# \par
# \noindent{\tt\#}\ \hrulefill\ {\tt\#}}

all :
	$(CC) $(CFLAGS) -DUNIX -DTEX -c $(SRCS)
	$(CC) $(OBJS) -o src2tex
	$(CC) $(CFLAGS) -DUNIX -DLATEX -c $(SRCS)
	$(CC) $(OBJS) -o src2latex

#{\hrulefill\ make install\ \hrulefill\ {\tt\#}
# \par
# ``{\tt make install}'' just strips {\sl src2tex} and {\sl src2latex},
# and removes object files.
# You have to move executables to your favorite directory by yourself.
# No online manual is available at the moment.
# \par
# \noindent{\tt\#}\ \hrulefill\ {\tt\#}}

install :
	strip ./src2tex
	strip ./src2latex
	rm -f ./$(OBJS)
	@-echo ""
	@-echo " So, you have finished installation successively."
	@-echo " Please copy src2tex and src2latex to a suitable"
	@-echo " directory you like."
	@-echo ""

install.man :
	@-echo ""
	@-echo " Sorry, there exists no online manual."
	@-echo ""

#{\hrulefill\ make dos\ \hrulefill\ {\tt\#}
# \par
# If you are a DOS user,
# please just type ``{\tt make dos}''
# instead of ``{\tt make all}'' and ``{\tt make install}''.
# Then you will get {\sl src2tex.exe} and {\sl src2ltex.exe} .
# IF you don't have {\tt gcc},
# please replace it with {\tt cc} or something like that.
# \par
# \noindent{\tt\#}\ \hrulefill\ {\tt\#}}

dos :
	@-echo ""
	@-echo " Please don't be panic when  \"make dos\"  does not work."
	@-echo " What you have to do is to be patient and edit Makefile"
	@-echo " carefully.  I am sure it would turn out to be a piece"
	@-echo " of cake."
	@-echo ""
	$(CC) $(CFLAGS) -DDOS -DTEX -c $(SRCS)
	$(CC) $(OBJS) -o src2tex
	$(CC) $(CFLAGS) -DDOS -DLATEX -c $(SRCS)
	$(CC) $(OBJS) -o src2ltex
	del *.o

#{\hrulefill\ make verbose\ \hrulefill\ {\tt\#}
# \par
# ``{\tt make verbose}'' generates noisy {\sl src2tex} and {\sl src2latex}.
# They report everything what they are doing.
# The authors are using them to find bugs.
# \par
# \noindent{\tt\#}\ \hrulefill\ {\tt\#}}

verbose :
	$(CC) -DDEBUGGING -DUNIX -DTEX -c $(SRCS)
	$(CC) $(OBJS) -o src2tex
	$(CC) -DDEBUGGING -DUNIX -DLATEX -c $(SRCS)
	$(CC) $(OBJS) -o src2latex

#{\hrulefill\ make plain\ \hrulefill\ {\tt\#}
# \par
# ``{\tt make plain}'' generates plain {\sl src2tex} and {\sl src2latex}.
# They do not output any preambles and postambles;
# they simply output {\TeX}t without anything like
# \item{}
# $\backslash$documentstyle$\cdots$,
# \item{}
# $\backslash$begin{document},
# \item{}
# $\backslash$end{document},
# \item{}
# $\backslash$bye,
# \par
# \noindent They would be useful when you have to insert program lists
# into your manuscript written in {\TeX}.
# \par
# \noindent{\tt\#}\ \hrulefill\ {\tt\#}}

plain :
	$(CC) -DPLAIN -DUNIX -DTEX -c $(SRCS)
	$(CC) $(OBJS) -o src2tex
	$(CC) -DPLAIN -DUNIX -DLATEX -c $(SRCS)
	$(CC) $(OBJS) -o src2latex

clean :
	rm -f ./$(OBJS)
	rm -f ./a.out
	rm -f ./src2tex
	rm -f ./src2latex ./src2ltex
	rm -f ./*~
	rm -f ./*.bak
	rm -f ./Makefile.tex
	rm -f ./*.h.tex
	rm -f ./*.c.tex
	rm -f ./*.scm.tex
	rm -f ./*.red.tex
	rm -f ./contrib/src2tex2dvi.tex
	rm -f ./contrib/src2tex2ps.tex
	rm -f ./contrib/src2latex2dvi.tex
	rm -f ./contrib/src2latex2ps.tex
	rm -f ./contrib/c2tex.tex
	rm -f ./contrib/*~
	rm -f ./contrib/*.bak

#{\hrulefill\ make docs\ \hrulefill\ {\tt\#}
# \par
# ``{\tt make docs}'' simply generates several examples
# by using {\sl src2tex2ps}, {\sl src2latex2ps}, {\it etc\/}.
# \par
# \noindent{\tt\#}\ \hrulefill\ {\tt\#}}

docs :
	src2tex2dvi Makefile
	src2tex2ps *.h
	src2tex2ps *.c
	src2latex2ps *.scm
	src2tex2ps popgen.red
	src2tex2ps -fourcolumns -pagelength 35 sqrt_mat.red
	cd ./contrib ; src2tex2dvi src2tex2dvi
	cd ./contrib ; src2tex2dvi src2tex2ps
	cd ./contrib ; src2tex2dvi src2latex2dvi
	cd ./contrib ; src2tex2dvi src2latex2ps
	cd ./contrib ; src2tex2dvi c2tex

#{\hrulefill\ make report\ \hrulefill\ {\tt\#}
# \par
# ``{\tt make report}'' send your local {\sl /etc/motd} file
# to one of the authors.
# This would be quite helpful for further development of {\sl src2tex}.
# \par
# \noindent{\tt\#}\ \hrulefill\ {\tt\#}}

report :
	@-if [ -f /etc/motd ] ; \
	then \
		echo "TITLE:src2tex version 2.12" > make_report.log; \
		echo USER:$(USER) >> make_report.log; \
		echo HOSTNAME:$(HOSTNAME) >> make_report.log; \
		cat /etc/motd >> make_report.log; \
		echo -n "reporting to kamano@po.iijnet.or.jp ... " ; \
		mail kamano@po.iijnet.or.jp \
			< make_report.log ; \
		echo "done" ; \
		rm make_report.log ; \
	else \
		echo "make report failed" ; \
		echo "thank you very much anyway" ; \
	fi

=== debian/changelog ===
src2tex (2.12h-9.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to source format 3.0.
    (Closes: #1007515)

  [ Helmut Grohne ]
  * Fix FTCBFS: Defer stripping to dh_strip.
    (Closes: 948090)

 -- Bastian Germann <bage@debian.org>  Sat, 01 Jun 2024 11:04:29 +0000

src2tex (2.12h-9) unstable; urgency=medium

  * Recommend texlive instead of tetex-bin which is no longer available
    (Closes: #549184).
  * Switch to debhelper 9.
  * Switch to a simple, default dh debian/rules.
  * Updated to standards-version 3.9.8:
    - Fix package description.
    - Update copyright file format.
    - Depend on ${misc:Depends}.

 -- Sebastian Harl <tokkee@debian.org>  Sat, 09 Jul 2016 22:37:39 +0200

src2tex (2.12h-8) unstable; urgency=low

  * New maintainer (Closes: #353619).
  * Updated standards version to 3.7.2.
  * Removed unnecessary README.Debian.

 -- Sebastian Harl <sh@tokkee.org>  Wed, 12 Jul 2006 12:54:49 +0200

src2tex (2.12h-7) unstable; urgency=low

  * QA upload.
  * Package is orphaned (#353619); set maintainer to Debian QA Group.
  * Switch to debhelper 5.
  * debian/copyright: Include copyright holders.  Closes: #302985.
  * debian/src2tex.1: s/src2tex.c.ps/src2tex.c.ps.gz/  Closes: #284029.
  * debian/rules: Add support for DEB_BUILD_OPTIONS=noopt.
  * Conforms to Standards version 3.6.2.

 -- Matej Vela <vela@debian.org>  Thu,  9 Mar 2006 09:51:07 +0100

src2tex (2.12h-6) unstable; urgency=low

  * (control): Fixed the long description to format right.
    (Closes: Bug#120952)

 -- Takao KAWAMURA <kawamura@debian.org>  Tue, 27 Nov 2001 11:15:15 +0900

src2tex (2.12h-5) unstable; urgency=low

  * src2tex.1 refers to /usr/share/doc.  Thanks to Stephen Stafford!
    (Closes: Bug#103186)

 -- Takao KAWAMURA <kawamura@debian.org>  Tue,  3 Jul 2001 10:53:37 +0900

src2tex (2.12h-4) unstable; urgency=low

  * FHS-compliant

 -- Takao KAWAMURA <kawamura@debian.org>  Sun, 19 Sep 1999 12:00:58 +0900

src2tex (2.12h-3) unstable; urgency=low

  * (control): Removed `Suggests: src2tex-examples'.

 -- Takao KAWAMURA <kawamura@debian.org>  Tue, 22 Jun 1999 09:38:44 +0900

src2tex (2.12h-2) unstable; urgency=low

  * Initial Release for Debian (previous versions were uploaded to Debian
    JP Project).
  * (control): src2tex-examples was merged into src2tex.
  * Changed maintainer's email address.
  * Updated to Standards-Version 2.5.1.0.

 -- Takao KAWAMURA <kawamura@debian.org>  Thu, 27 May 1999 13:18:53 +0900

src2tex (2.12h-1) unstable; urgency=low

  * Initial Release.

 -- Takao KAWAMURA <kawamura@debian.or.jp>  Tue,  2 Jun 1998 19:32:36 +0900

=== debian/control ===
Source: src2tex
Section: tex
Priority: optional
Maintainer: Sebastian Harl <tokkee@debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.8

Package: src2tex
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: texlive
Description: converter from source program files to TeX format files
 src2tex [resp. src2latex] is a sort of text converter from BASIC, C,
 C++, OBJECTIVE-C, COBOL, FORTRAN, HTML, JAVA, LISP, MAKE, PASCAL,
 PERL, SCHEME, SHELL, TCL/TK and ASIR, MACSYMA, MAPLE, MATHEMATICA,
 MATLAB, MAXIMA, MuPAD, OCTAVE, REDUCE to TeX [resp. LaTeX]. However,
 it is not a simple pretty-printer; actually, it is designed to
 fulfill the following desires:
 .
  (1) We want to write mathematical formulae in comment area of source
      program.
  (2) We would like to patch PS or EPS figures upon source program. 
  (3) We need a simple and easy-to-use tool which enables to combine
      documentation and manual with source program.
  (4) We often have to translate our program from text format to TeX
      format when we want to quote our own program in research report,
      lecture note, etc. That is quite time consuming, so it should be
      automated.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_install:
